---
search:
  tags:
    - jobs
    - GET
seo:
  description: >-
    Returns a job. Reference for the GET
    /project/{project_id}/environment/{environment_id}/job/{job_id} endpoint in
    the Platform API.
sidebar:
  label: Get a job
  badge: GET
title: Get a job
type: openapi-operation
---
Returns a job.

`GET /project/{project_id}/environment/{environment_id}/job/{job_id}`

**Responses**

- `200` — Job retrieved successfully
- `default` — Error

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
  "cluster_id": "d3d1bfdf-67c4-41fa-b065-858242731616",
  "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
  "name": "string",
  "description": "string",
  "last_run_id": "08df5d92-87b1-40a2-b1e7-a5977dea4efc",
  "last_run_status": "QUEUED",
  "type": "cron",
  "timezone": "string",
  "cron": "string",
  "configuration": {
    "cpu_limit_in_milli": "2000m",
    "ram_limit_in_mib": "2048Mi",
    "cpu_request_in_milli": "1000m",
    "ram_request_in_mib": "1024Mi",
    "max_nb_restart": 0,
    "max_duration_seconds": 0,
    "default_port": null,
    "source": {
      "image_name": "string",
      "tag": "string"
    },
    "healthchecks": {
      "readiness_probe": {
        "type": {
          "tcp": {
            "port": 0,
            "host": null
          },
          "http": {
            "path": "/",
            "scheme": "HTTP",
            "port": 0
          },
          "exec": {
            "command": [
              "string"
            ]
          },
          "grpc": {
            "service": null,
            "port": 0
          }
        },
        "initial_delay_seconds": 30,
        "period_seconds": 10,
        "timeout_seconds": 5,
        "success_threshold": 1,
        "failure_threshold": 9
      },
      "liveness_probe": {
        "type": {
          "tcp": {
            "port": 0,
            "host": null
          },
          "http": {
            "path": "/",
            "scheme": "HTTP",
            "port": 0
          },
          "exec": {
            "command": [
              "string"
            ]
          },
          "grpc": {
            "service": null,
            "port": 0
          }
        },
        "initial_delay_seconds": 30,
        "period_seconds": 10,
        "timeout_seconds": 5,
        "success_threshold": 1,
        "failure_threshold": 9
      }
    },
    "entrypoint": "string",
    "arguments": [
      "string"
    ]
  }
}
```
